Skip to main content
GET
/
v1
/
refunds
List Refunds
curl --request GET \
  --url https://api.spairehq.com/v1/refunds/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "metadata": {},
      "amount": 123,
      "tax_amount": 123,
      "currency": "<string>",
      "organization_id": "<string>",
      "order_id": "<string>",
      "subscription_id": "<string>",
      "customer_id": "<string>",
      "revoke_benefits": true,
      "dispute": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "resolved": true,
        "closed": true,
        "amount": 123,
        "tax_amount": 123,
        "currency": "<string>",
        "order_id": "<string>",
        "payment_id": "<string>"
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

id

Filter by refund ID. The refund ID.

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

order_id

Filter by order ID. The order ID.

subscription_id

Filter by subscription ID. The subscription ID.

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by customer external ID. The customer external ID.

succeeded
boolean | null

Filter by succeeded.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
amount,
-amount

Response

Successful Response

items
Refund · object[]
required
pagination
Pagination · object
required